# round

round($arg as numeric?) → numeric?

Rounds a numeric value to the nearest whole number, rounding x.5 towards positive infinity.

Arguments
| $arg | numeric? | The value to be rounded to the nearest whole number
Result | numeric?

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

round($arg as numeric?, $precision as xs:integer) → numeric?

Rounds a numeric value to the nearest multiple of ten to the power of minus `$precision`, rounding x.5 towards positive infinity.

Arguments
| $arg | numeric? | The value to be rounded to a given number of decimal places
| $precision | xs:integer | The number of decimal places required
Result | numeric?

Applies to: XPath 3.0, XSLT 3.0, XQuery 3.0 (if enabled in Saxon: requires Saxon-PE or Saxon-EE)

XPath 3.0 Specification

Notes on the Saxon implementation

The two-argument form of this function is specified in XPath 3.0, and is newly supported in Saxon 9.3, provided XPath 3.0 is enabled.

Next